com.rscja.team.qcom.socket

## Class SocketManageUR4

- java.lang.Object
- - com.rscja.team.qcom.socket.SocketManageUR4

-     public class SocketManageUR4
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `SocketManageUR4.CheckConnectState`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `DEBUG`
    `UHFUR4DataHandle` | `uhfur4DataHandle`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SocketManageUR4()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `ClearCacheInfo()`
    `boolean` | `close()`
    `boolean` | `connect(java.lang.String ipString, int port)`
    `ConnectionStatus` | `getConnectStatus()`
    `UHFDataHandleBase.CMDInfo` | `getTagInfo()`
    `UHFDataHandleBase.CMDInfo` | `sendAndReceive(byte[] senddata)`
    `UHFDataHandleBase.CMDInfo` | `sendAndReceive(byte[] senddata, int timeOut)`
    `boolean` | `sendOnThread(byte[] sendData)`
    `void` | `setCheckConnectState(SocketManageUR4.CheckConnectState checkConnectState)`
    `void` | `setConnectionStatusChangedListener(IConnectionStatusChangedListener connectionStatusChanged)`
    `void` | `update(ConnectionStatus arg)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEBUG

          public boolean DEBUG

    - #### uhfur4DataHandle

          public UHFUR4DataHandle uhfur4DataHandle

  - ### Constructor Detail

    - #### SocketManageUR4

          public SocketManageUR4()

  - ### Method Detail

    - #### setConnectionStatusChangedListener

          public void setConnectionStatusChangedListener(IConnectionStatusChangedListener connectionStatusChanged)

    - #### setCheckConnectState

          public void setCheckConnectState(SocketManageUR4.CheckConnectState checkConnectState)

    - #### getConnectStatus

          public ConnectionStatus getConnectStatus()

    - #### connect

          public boolean connect(java.lang.String ipString,
                                 int port)

    - #### close

          public boolean close()

    - #### sendAndReceive

          public UHFDataHandleBase.CMDInfo sendAndReceive(byte[] senddata)

    - #### sendAndReceive

          public UHFDataHandleBase.CMDInfo sendAndReceive(byte[] senddata,
                                                          int timeOut)

    - #### ClearCacheInfo

          public void ClearCacheInfo()

    - #### getTagInfo

          public UHFDataHandleBase.CMDInfo getTagInfo()

    - #### sendOnThread

          public boolean sendOnThread(byte[] sendData)

    - #### update

          public void update(ConnectionStatus arg)